跳转到内容
打开/关闭菜单
打开/关闭外观设置菜单
打开/关闭个人菜单
未登录
登录后可编辑和发表评论。

Template:Temple Song/style.css

模板页面
.famed-song-card {
	max-width: calc(100% - 10px);
	width: 361px;
	min-height: 123px;
	margin: 0 5px 5px;
	display: inline-block;
	vertical-align: top;
}
.famed-color {
	width: 100%;
	height: 20px;
}
.famed-song-1 {
	display: flex;
	align-items: center;
	font-weight: bold;
	font-size: 12px;
    position: relative;
}
.famed-song-highlight {
	background: #ff9;
}
html.skin-theme-clientpref-night .famed-song-highlight {
	background: #440;
}

.famed-song-imgbox {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
	margin-right: 4px;
    width: 144px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.famed-song-imgbox img {
    max-width: 100%;
    max-height: 100%;
    border: grey 2px solid;
    box-sizing: border-box;
}

.famed-song-2 {
    display: inline-block;
    margin-left: 148px;
	flex: 1;
	overflow: hidden;
}
.famed-song-info {
	text-overflow: ellipsis;
	white-space: nowrap;
	overflow: hidden;
}
 

/* 改自[[Template:LyricsKai/colors/styles.css]],用于处理移动端点触色带时的歌姬名提示 */
@media screen and (max-device-width: 720px){
	.famed-color:hover {
		position: relative;
	}
	.famed-color:hover::before {
		content: attr(title);
		position: absolute;
		bottom: 100%;
		left: 0;
		background-color: white;
		white-space: nowrap;
		font-size: 13px;
		text-shadow: none;
		border: 1px #666 solid;
		box-sizing: border-box;
		padding: 1px 2px;
		box-shadow: 1px 1px 1px #ccc;
		color: black;
		font-family: 'PingFang SC', 'Noto Sans', 'Microsoft YaHei', system-ui, -apple-system;
	}
}
/* [[Category:在模板命名空间下的CSS页面]] */